Page MenuHomePhabricator

Document Wikibase tables
Closed, ResolvedPublic

Description

The current Wikibase table documentation seems to be outdated (https://www.mediawiki.org/wiki/Wikibase/Schema ). Maybe more information is available, but that is well hidden.

At least these tables should be documented:

MariaDB [wikidatawiki_p]> show tables LIKE 'wb%';
+--------------------------------+

Tables_in_wikidatawiki_p (wb%)

+--------------------------------+

wb_changes
wb_changes_dispatch
wb_changes_subscription
wb_entity_per_page
wb_id_counters
wb_items_per_site
wb_property_info
wbc_entity_usage
wbs_propertypairs

+--------------------------------+
10 rows in set (0.00 sec)

And this documentation should show up in the search when you search for the table name (like "wb_items_per_site")

Event Timeline

Multichill raised the priority of this task from to Needs Triage.
Multichill updated the task description. (Show Details)
Multichill added subscribers: Multichill, Alphos.
Restricted Application added a project: Documentation. · View Herald TranscriptJan 24 2016, 2:11 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
GoranSMilovanovic added a comment.EditedJan 4 2018, 1:27 PM

@Lydia_Pintscher

A contact with someone who can provide consulting on the contents of the wb_changes table, that will most probably be rather important for future Wikidata feature evaluations (see T184173), would be highly appreciated.

Thanks.

Addshore updated the task description. (Show Details)Mar 25 2019, 4:33 PM
Addshore added a subscriber: Addshore.

Removed wb_terms from the list as it is an outgoing table

Change 560523 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, storage docs for all SQL tables

https://gerrit.wikimedia.org/r/560523

Restricted Application added a project: User-Addshore. · View Herald TranscriptDec 24 2019, 12:09 PM

The patch above moves the docs to the git repo for the standard Wikibase tables.
These will all be rendered with versioned documentation on doc.wikimedia.org.

Ideally this doc source would be searchable from mediawiki.org T240209.
Once merged the plan would be for all mw.org docs to redirect to this new and regularly updated versioned location.

wbs_propertypairs is not included in this patch, as that is owned by the PropertySuggester extension
This should be documented elsewhere
I created T241415 to track that, and effort will continue there over the coming months.

My entry to database tables is usually https://www.mediawiki.org/wiki/Category:MediaWiki_database_tables . We should probably just make placeholder pages for now that point you to the right page on doc.wikimedia.org?

My entry to database tables is usually https://www.mediawiki.org/wiki/Category:MediaWiki_database_tables . We should probably just make placeholder pages for now that point you to the right page on doc.wikimedia.org?

Yup, once they are merged we can create a bunch of placeholders linking to the doc site :)

Change 560832 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, storage docs, split table docs into own files

https://gerrit.wikimedia.org/r/560832

Change 560523 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, storage docs for all SQL tables

https://gerrit.wikimedia.org/r/560523

Change 560832 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, storage docs, split table docs into own files

https://gerrit.wikimedia.org/r/560832

Moving back to doing, as I think I also need to include:

And finally, redirect all of those pages to the new place.

Addshore triaged this task as Low priority.Jan 14 2020, 4:09 PM

Change 565051 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] docs, sql tables unification and improvement

https://gerrit.wikimedia.org/r/565051

Change 565051 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] docs, sql tables unification and improvement

https://gerrit.wikimedia.org/r/565051

Addshore closed this task as Resolved.Jan 16 2020, 4:26 PM